"use client";

import React from "react";
import { Skeleton } from "antd-mobile";
import styles from "./index.module.scss";
export default function PostItemSkeleton() {
  return (
    <div className="flex mb-4">
      <div className="mr-2">
        <Skeleton animated className={`${styles.avatarSkeleton} mt-[1px]`} />
      </div>
      <div className="w-full">
        <div className="mb-4 rounded-lg animate-pulse flex justify-between items-center w-full">
          <Skeleton animated className={styles.titleSkeleton}/>
          <Skeleton animated className={styles.btnSkeleton}/>
        </div>
        <Skeleton.Paragraph lineCount={1} animated />
        <div className="grid grid-cols-3 gap-1.5 w-full">
          <Skeleton animated className={styles.photoSkeleton} />
          <Skeleton animated className={styles.photoSkeleton} />
          <Skeleton animated className={styles.photoSkeleton} />
        </div>
      </div>
    </div>
  );
}
